<html> 
<!--    cibl&eacute; par:  
 
		cible:  						
 -->

<!-- paramètre &eacute;mis:        -session_id         le num&eacute;ro de la session
							

	 paramètre reçevable :  -session_id         le num&eacute;ro de la session
							-etape
							-code_contrat
							-plein_prix_total
							-credit
							-prix_reel_total
							-rabais_total
							-grand_total 
							-depot=200
							-refere
							-commentaire
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Gestion contract</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("calendrier.php");
require("gestion-poste.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if ($privilege_base != 2)
	die("Vous n'avez pas les droits!");

  $mod_date = $_GET["mod_date"];
  $achat = $_GET["achat"];
  $quantite = $_GET["quantite"];
	$plein_prix = $_GET["plein_prix"];
	$inclu = $_GET["inclu"];
	$num_activite = $_GET["num_activite"];
	$activite = $_GET["activite"];
	$num_materiel = $_GET["num_materiel"];
	$materiel = $_GET["materiel"];
	$code_contrat = $_GET["code_contrat"];
  $code_client = $_GET["code_client"];
  $numero_contrat = $_GET["numero_contrat"];
  $x = $_GET["x"];
  $y = $_GET["y"];
  $mod_date = $_GET["e"];
  
  $type_precedent = $_GET["type_precedent"];
  
  $type = $_GET["type"];

	$date_emission = $_GET["date_emission"];
  $mois_du_contrat = $_GET["mois_du_contrat"];
  $date_debut = $_GET["date_debut"];
  $heure_debut = $_GET["heure_debut"];
  $cal_debut = $_GET["cal_debut"];
  $date_fin = $_GET["date_fin"];
  $heure_fin = $_GET["heure_fin"];
  $cal_fin = $_GET["cal_fin"];
  $mod_clientele = $_GET["mod_clientele"];
  $nb_jeune = $_GET["nb_jeune"];
  $nb_adulte = $_GET["nb_adulte"];
  $mod_cafe = $_GET["mod_cafe"];
  $ancien_prix = $_GET["ancien_prix"];
  $nb_pers_cafe = $_GET["nb_pers_cafe"];
  $prix_repas_cafe = $_GET["prix_repas_cafe"];
  $lunchpm = $_GET["lunchpm"];
  $prix_lunchpm = $_GET["prix_lunchpm"];
  $prix_reel_cafe = $_GET["prix_reel_cafe"];
  $nb_repas_cafe = $_GET["nb_repas_cafe"];
  $commentaire_cafe = addslashes($_GET["commentaire_cafe"]);
  $prec_etat = $_GET["prec_etat"];
  $num_chalet = $_GET["num_chalet"];
  $etat = $_GET["etat"];
  $type_client = $_GET["type_client"];
  $nuite = $_GET["nuite"];
  $prix_par_jour = $_GET["prix_par_jour"];
  $frais_terrain = $_GET["frais_terrain"];
  $prix_reel = $_GET["prix_reel"];
  $code_rabais = $_GET["code_rabais"];
  $commentaire_rabais = addslashes($_GET["commentaire_rabais"]);
  $prix_rabais = $_GET["prix_rabais"];
  $poste = $_GET["poste"];
  $mod_cafe = $_GET["mod_cafe"];
  $ancien_prix = $_GET["ancien_prix"];
  $depot_reel = $_GET["depot_reel"];
  $depot_50 = $_GET["depot_50"];
  $mod_expedie = $_GET["mod_expedie"];
  $expedie = $_GET["expedie"];
  $recu = $_GET["recu"]; 
  $refere = $_GET["refere"]; 
  $commentaire = addslashes($_GET["commentaire"]); 
  $supp_depot = $_GET["supp_depot"];        
  $code_depot = $_GET["code_depot"];
	
	
/////////////////////////////////////////////////////////////////////////////////
/////					POUR LE CALCUL ENTRE DEUX DATES						/////
/////////////////////////////////////////////////////////////////////////////////
function facteur($jour , $mois , $annee)
{ 
    $b=365*$annee; 
    $c=31*($mois-1); 
    if (($mois==1) || ($mois==2))
	{ 
        $d= 0; 
        $e = intval(($annee -1)/4); 
        $h = intval(0.75*(intval(($annee-1)/100)+1)); 
    } 
    else 
	{ 
        $d= intval(0.4*$mois+2.3); 
        $e = intval($annee/4); 
        $h = intval(0.75*(intval($annee/100)+1)); 
    } 
    $result = $jour + $b+ $c - $d +$e -$h; 
    return $result; 
} 

function diff_dates_cal_greg($jour1 , $mois1 , $annee1 , $jour2 , $mois2 , $annee2)
{ 
    $diff = facteur($jour2 , $mois2 , $annee2)-facteur($jour1 , $mois1 , $annee1); 
    return $diff; 
}
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////	
	
	
	
	
	
	
	
	
	
	
//*****************************************************************************************************
// modification apporter à un champ dans la basse de  donn&eacute;e ******************************************
//*****************************************************************************************************	

$erreur = 0;//variable pour l'affichage du message de r&eacute;ussite

///////////////////////////////////////////////////////////////////////////////////////////
//							MODIFICATION DU TYPE DE CONTRAT								 //
///////////////////////////////////////////////////////////////////////////////////////////	
if (!empty ($type))
{


//SI LE PRÉCÉDENT CONTRAT ÉTAIT PASSÉ
//******
  if (strpos($type_precedent, 'pass')===0)
	{
	//SI IL EST MAINTENANT ACTIF****************************************************************************************	
		if ($type == "actif")
		{
			historique("../historique.txt","---changement du type passe a actif",$Bsession_id);
			$erreur = 0;
			$sql = "update base_contrat 
				       set base_contrat.etat = '$type', 
					       base_contrat.mis_a_jour = now()
  				     WHERE base_contrat.code_contrat = '$code_contrat';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
		}
	//SI IL EST MAINTENANT SOUMISSION****************************************************************************************	
		if ($type == "soumission")
		{
			historique("../historique.txt","---changement du type passe a soumission",$Bsession_id);
			$erreur = 0;
			$sql = "update base_contrat 
				       set base_contrat.etat = '$type', 
					       base_contrat.mis_a_jour = now()
  				     WHERE base_contrat.code_contrat = '$code_contrat';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
		}
	//SI IL EST MAINTENANT ANNULÉ****************************************************************************************		
    if (strpos($type, 'annul')===0)
		{
			//SUPPRIMER LES POSTES BUDGÉTAIRES
			GestionPoste(9,$type,$code_contrat,$code_client,0,0,0,'S');
			$type_tempo = $type;
			$type = "pass&eacute;";
			//TROUVE LE NOMBRE DE CHALET POUR LE CONTRAT	
			$sql = "SELECT base_chalets.num_chalet
	   			      FROM base_chalets
					 WHERE base_chalets.code_contrat = '$code_contrat'
					   AND base_chalets.reservation = 'N';";
			$result1 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_chalet<br><br>".$sql);
			// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
			$num = mysqli_num_rows($result1);
			
			$j = 1;
			while ($row = mysqli_fetch_row($result1))
			{
				$chalets[$j] = $row[0];
				$j++;
			}
			//PREND UN BACKUP DES ANCIENNE DONNÉES	
			$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
	   				  FROM base_contrat
			 		 WHERE base_contrat.code_contrat = '$code_contrat';";
			$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$row2 = mysqli_fetch_row($result2);
			$row_date_debut = $row2[0];
			$row_date_fin = $row2[1];
			$row_cal_debut = $row2[2];
			$row_cal_fin = $row2[3];
			$row_heure_debut = $row2[4];
			$row_heure_fin = $row2[5];			
			$stop = 0 ;
			//EFFACE LE(S) CHALET(S) DU CALENDRIER
			for ($j = 1; $j < $num+1; $j++)
			{
				$validation = &calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type,2,$chalets[$j],$code_contrat,$type_precedent); //fonction dans calendrier.php, le 2 pour effacer
				$erreur = 0;
			}
			
			$type = $type_tempo;
			historique("../historique.txt","---changement du type passe a ".$type_tempo."",$Bsession_id);
			
			$sql = "update base_contrat
				       set base_contrat.etat = '$type',
					       base_contrat.mis_a_jour = now()
		  		     WHERE base_contrat.code_contrat = '$code_contrat';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
		

		} 
	}	
//******
		

//SI LE PRÉCÉDENT CONTRAT ÉTAIT ACTIF
//******
	if ($type_precedent == "actif")
	{ 
	//SI IL EST MAINTENANT PASSÉ****************************************************************************************	
    if (strpos($type, 'pass')===0)
		{ 
			historique("../historique.txt","---changement du type actif a passe",$Bsession_id);
			$erreur = 0;
			$sql = "update base_contrat 
				       set base_contrat.etat = '$type', 
					       base_contrat.mis_a_jour = now()
  				     WHERE base_contrat.code_contrat = '$code_contrat';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
		}
	//SI IL EST MAINTENANT PASSÉ****************************************************************************************	
		if ($type == "soumission")
		{
			historique("../historique.txt","---changement du type actif a soumission",$Bsession_id);
			$erreur = 0;
			$sql = "update base_contrat 
				       set base_contrat.etat = '$type', 
					       base_contrat.mis_a_jour = now()
  				     WHERE base_contrat.code_contrat = '$code_contrat';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
		}
	//SI IL EST MAINETENANT ANNULÉ****************************************************************************************		
    if (strpos($type, 'annul')===0)
		{
			//SUPPRIMER LES POSTES BUDGÉTAIRES
			GestionPoste(9,$type,$code_contrat,$code_client,0,0,0,'S');
			$type_tempo = $type;
			$type = "actif";
			//TROUVE LE NOMBRE DE CHALET POUR LE CONTRAT	
			$sql = "SELECT base_chalets.num_chalet
	   			      FROM base_chalets
					 WHERE base_chalets.code_contrat = '$code_contrat'
					   AND base_chalets.reservation = 'N';";
			$result1 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_chalet<br><br>".$sql);
			// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
			$num = mysqli_num_rows($result1);
			
			$j = 1;
			while ($row = mysqli_fetch_row($result1))
			{
				$chalets[$j] = $row[0];
				$j++;
			}
			//PREND UN BACKUP DES ANCIENNE DONNÉES	
			$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
	   				  FROM base_contrat
			 		 WHERE base_contrat.code_contrat = '$code_contrat';";
			$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$row2 = mysqli_fetch_row($result2);
			$row_date_debut = $row2[0];
			$row_date_fin = $row2[1];
			$row_cal_debut = $row2[2];
			$row_cal_fin = $row2[3];
			$row_heure_debut = $row2[4];
			$row_heure_fin = $row2[5];			
			$stop = 0 ;
			//EFFACE LE(S) CHALET(S) DU CALENDRIER
			for ($j = 1; $j < $num+1; $j++)
			{
				$validation = &calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type,2,$chalets[$j],$code_contrat,$type_precedent); //fonction dans calendrier.php, le 2 pour effacer
				$erreur = 0;
			}
			
			$type = $type_tempo;
			historique("../historique.txt","---changement du type actif a ".$type_tempo."",$Bsession_id);
			
			$sql = "update base_contrat
				       set base_contrat.etat = '$type',
					       base_contrat.mis_a_jour = now()
		  		     WHERE base_contrat.code_contrat = '$code_contrat';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
		

		}

	}	
//******	
	
	//SI LE PRÉCÉDENT CONTRAT ÉTAIT ANNULÉ
  if (strpos($type_precedent, 'annul')===0)
	{
		//SI IL EST MAINTENANT ACTIF OU PASSÉ*******************************************************************************	
		if (($type == "actif") or (strpos($type, 'pass')===0) or ($type == "soumission")) 
		{
			historique("../historique.txt","---changement du type annule a ".$type."",$Bsession_id);
			//TROUVE LE NOMBRE DE CHALET POUR LE CONTRAT	
			$sql = "SELECT base_chalets.num_chalet
	   			      FROM base_chalets
					 WHERE base_chalets.code_contrat = '$code_contrat'
					 AND base_chalets.actif = 'O'
					 AND base_chalets.reservation = 'N';";
			$result1 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_chalet<br><br>".$sql);
			// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
			$num = mysqli_num_rows($result1);
	
			$j = 1;
			while ($row = mysqli_fetch_row($result1))
			{
				$chalets[$j] = $row[0];
				$j++;
			}
			//PREND UN BACKUP DES ANCIENNE DONNÉES	
			$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
   					  FROM base_contrat
			 		 WHERE base_contrat.code_contrat = '$code_contrat';";
			$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$row2 = mysqli_fetch_row($result2);
			$row_date_debut = $row2[0];
			$row_date_fin = $row2[1];
			$row_cal_debut = $row2[2];
			$row_cal_fin = $row2[3];
			$row_heure_debut = $row2[4];
			$row_heure_fin = $row2[5];			
			$stop = 0 ;
			
			//BACKUP DES ANCIENNES DONNÉES AU CAS OU LA MODIFICATION N'EST PAS VALIDÉ		
			$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
	   		  		  FROM base_contrat
			 		 WHERE base_contrat.code_contrat = '$code_contrat';";
			$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$backup_chalet = mysqli_fetch_row($result2);	

			
			//VALIDE TOUTE LES NOUVELLES DATE DU CONTRAT		
			for ($j = 1; $j < $num+1; $j++)
			{
				list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4) = calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type,1,$chalets[$j],$code_contrat,$type_precedent,$code_contrat); //fonction dans calendrier.php,   le 1 est pour ajout
				$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
			}
			//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
			$validation = 1;
			for ($j = 1; $j < $num+1; $j++)
			{
				$validation = ($validation*$tableau_chalet[$j][0]);
			}	
			if ($validation > 0)//si le calendrier est ok, on procède à la suite de l'enregistrement du contrat
			{
		
				//AJOUT AU POSTE BUDGÉTAIRE
				GestionPoste(9,$type,$code_contrat,$code_client,0,0,0,'A');			
			
				$erreur = 0;
				//POUR CHAQUE CHALET	
				for ($j = 1; $j < $num+1; $j++)
				{
				//POUR CHAQUE ENREGISTREMENT DU CHALET		
					for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
					{
						
						$requete1 = $tableau_chalet[$j][4][$a]; 
						$etat1 = $tableau_chalet[$j][3][$a];
						$date1 = $tableau_chalet[$j][2][$a];
						$num_chalet1 = $tableau_chalet[$j][1];
						$c1=$tableau_chalet[$j][6][$a];
						$c2=$tableau_chalet[$j][7][$a];
						$c3=$tableau_chalet[$j][8][$a];
						$c4=$tableau_chalet[$j][9][$a];
						//SI C'EST POUR UN UPDATE
						if ($requete1 == 2)
						{
							$sql = "UPDATE base_calendrier SET etat = '$etat1',";
							if (!empty($c1))
								$sql .= "base_calendrier.c1 = '$c1',";		   
							if (!empty($c2))
								$sql .= "base_calendrier.c2 = '$c2',";
							if (!empty($c3))
								$sql .= "base_calendrier.c3 = '$c3',";
							if (!empty($c4))
								$sql .= "base_calendrier.c4 = '$c4',";		
							$sql.= "mis_a_jour = now()
							 WHERE base_calendrier.date = '$date1'
							   AND num_chalet = '$num_chalet1';";
							$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Problème dupdate de la date: ".$date."<br><br>".$sql);
						}
						//SI C'EST POUR UN INSERT
						if ($requete1 == 1)
						{
							$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
							if (!empty($c1))
								$sql .= "base_calendrier.c1 = '$c1',";		   
							if (!empty($c2))
								$sql .= "base_calendrier.c2 = '$c2',";
							if (!empty($c3))
								$sql .= "base_calendrier.c3 = '$c3',";
							if (!empty($c4))
								$sql .= "base_calendrier.c4 = '$c4',";		
										$sql .= "num_chalet = '$num_chalet1',
										etat = '$etat1',
										mis_a_jour = now();";
							$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Problème d'enregistrement de la date: ".$date."<br><br>".$sql);
						}
					}
				}
				$sql = "update base_contrat 
					       set base_contrat.etat = '$type', 
						       base_contrat.mis_a_jour = now()
			  		     WHERE base_contrat.code_contrat = '$code_contrat';";
				$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
				or die("ne peut faire la modification".$sql);

			}
			if ($validation == 0)
			{
				$erreur = 1;
				print("<center><b><br>");
				print("La p&eacute;riode de location que vous avez choisi est d&eacute;jà occup&eacute; par un autre contrat. Veuillez en choisir une autre.<br><br>");
				print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");
			}
		}
			
	}	
//******	
	
	//SI LE PRÉCÉDENT CONTRAT ÉTAIT SOUMISSION
	if ($type_precedent == "soumission")
	{
	//SI IL EST MAINTENANT ACTIF****************************************************************************************	
		if (($type == "actif") or ($type == "pass&eacute;"))
		{
			historique("../historique.txt","---changement du type soumission a ".$type."",$Bsession_id);
			$erreur = 0;
			$sql = "update base_contrat 
				       set base_contrat.etat = '$type', 
					       base_contrat.mis_a_jour = now()
  				     WHERE base_contrat.code_contrat = '$code_contrat';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
		}
	//SI IL EST MAINTENANT ANNULÉ****************************************************************************************		
		if ($type == "annul&eacute;")
		{
			//SUPPRIMER LES POSTES BUDGÉTAIRES
			GestionPoste(9,$type,$code_contrat,$code_client,0,0,0,'S');
			$type_tempo = $type;
			$type = "pass&eacute;";
			//TROUVE LE NOMBRE DE CHALET POUR LE CONTRAT	
			$sql = "SELECT base_chalets.num_chalet
	   			      FROM base_chalets
					 WHERE base_chalets.code_contrat = '$code_contrat'
					   AND base_chalets.reservation = 'N';";
			$result1 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_chalet<br><br>".$sql);
			// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
			$num = mysqli_num_rows($result1);
			
			$j = 1;
			while ($row = mysqli_fetch_row($result1))
			{
				$chalets[$j] = $row[0];
				$j++;
			}
			//PREND UN BACKUP DES ANCIENNE DONNÉES	
			$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
	   				  FROM base_contrat
			 		 WHERE base_contrat.code_contrat = '$code_contrat';";
			$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$row2 = mysqli_fetch_row($result2);
			$row_date_debut = $row2[0];
			$row_date_fin = $row2[1];
			$row_cal_debut = $row2[2];
			$row_cal_fin = $row2[3];
			$row_heure_debut = $row2[4];
			$row_heure_fin = $row2[5];			
			$stop = 0 ;
			//EFFACE LE(S) CHALET(S) DU CALENDRIER
			for ($j = 1; $j < $num+1; $j++)
			{
				$validation = &calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type,2,$chalets[$j],$code_contrat,$type_precedent); //fonction dans calendrier.php, le 2 pour effacer
				$erreur = 0;
			}
			
			$type = $type_tempo;
			historique("../historique.txt","---changement du type passe a ".$type_tempo."",$Bsession_id);
			
			$sql = "update base_contrat
				       set base_contrat.etat = '$type',
					       base_contrat.mis_a_jour = now()
		  		     WHERE base_contrat.code_contrat = '$code_contrat';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
		

		} 	
			
	}	
	
	
}	







if (!empty ($date_emission))	
{
	$sql = "update base_contrat 
		    set base_contrat.date_emission = '$date_emission', 
			    base_contrat.mis_a_jour = now()
       	    WHERE base_contrat.code_contrat = '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
	historique("../historique.txt","---changement date d'emission a ".$date_emission."",$Bsession_id);
}

if (!empty ($mois_du_contrat))	
{
	$sql = "update base_contrat 
		    set base_contrat.mois_du_contrat = '$mois_du_contrat', 
			    base_contrat.mis_a_jour = now()
       	    WHERE base_contrat.code_contrat = '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
	historique("../historique.txt","---changement du mois du contrat a ".$mois_du_contrat."",$Bsession_id);
}



$valide = 1;
//////////////////////////////////////////////////////////////////////////////////////////////
//																							//
//	Si il y a modification de la date, doit changer le calendrier							//
//																							//
//////////////////////////////////////////////////////////////////////////////////////////////
if ($mod_date == 1 )	
{

	//CALCUL DE LA DIFFÉRENCE POUR LE NOMBRE DE NUITÉES////////
	$aryDateDebut = explode("-",$date_debut);
	if(empty($debut_annee)) $debut_annee = $aryDateDebut[0];
	if(empty($debut_mois)) $debut_mois = $aryDateDebut[1];
	if(empty($debut_jour)) $debut_jour = $aryDateDebut[2];

	$aryDateFin = explode("-",$date_fin);
	if(empty($fin_annee)) $fin_annee = $aryDateFin[0];
	if(empty($fin_mois)) $fin_mois = $aryDateFin[1];
	if(empty($fin_jour)) $fin_jour = $aryDateFin[2];

	$nuite = diff_dates_cal_greg($debut_jour,$debut_mois,$debut_annee,$fin_jour,$fin_mois,$fin_annee);
	///////////////////////////////////////////////////////////

	
	if ((($debut_annee == $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour > $fin_jour)) 
	or (($debut_annee == $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour == $fin_jour)) 
	or (($debut_annee == $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour < $fin_jour)) 
	or (($debut_annee == $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour > $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour == $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour < $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour > $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois < $fin_mois) and ($debut_jour == $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois < $fin_mois) and ($debut_jour < $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois < $fin_mois) and ($debut_jour > $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour == $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour < $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour > $fin_jour)))
	{
		print("<center><b><br>");
		print("La date de fin pr&eacute;cède la date de debut du contrat. Veuillez choisir une autre date.<br><br>");
		print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");	
		historique("../historique.txt","---changement date, date de fin precede date de debut",$Bsession_id);
		$valide = 0;
	}else
	{	
		
					
			

//////////////////////////////////////////////////////////////////////////////////////////////
// REQUETE QUI SORT TOUTE LES DONNÉES DU CONTRAT AVANT MODIFICATION							//
//////////////////////////////////////////////////////////////////////////////////////////////
		//REQUETE POUR TROUVER LE TYPE DU CONTRAT
		$sql = "SELECT base_contrat.etat
				  FROM base_contrat
				 WHERE base_contrat.code_contrat = '$code_contrat';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut trouver le type de contrat<br><br>".$sql);
		$row = mysqli_fetch_row($result2);
		$type = $row[0];





		//TROUVE LE NOMBRE DE CHALET POUR LE CONTRAT
		$sql = "SELECT base_chalets.num_chalet, base_chalets.actif
		   		  FROM base_chalets
				 WHERE base_chalets.code_contrat = '$code_contrat'
				   AND base_chalets.reservation = 'N';";
		$result1 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_chalet<br><br>".$sql);
		// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
		$num = mysqli_num_rows($result1);

		$j = 1;
		while ($row = mysqli_fetch_row($result1))
		{
			$chalets[$j] = $row[0];
			$actif[$j] = $row[1];
			$j++;
		}

		//PREND UN BACKUP DES ANCIENNE DONNÉES
		$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
		   		  FROM base_contrat
				 WHERE base_contrat.code_contrat = '$code_contrat';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
		$row2 = mysqli_fetch_row($result2);
		$row_date_debut = $row2[0];
		$row_date_fin = $row2[1];
		$row_cal_debut = $row2[2];
		$row_cal_fin = $row2[3];
		$row_heure_debut = $row2[4];
		$row_heure_fin = $row2[5];
		$stop = 0 ;
	
		//BACKUP DES ANCIENNES DONNÉES AU CAS OU LA MODIFICATION N'EST PAS VALIDÉ		
		$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
		  		  FROM base_contrat
		 		 WHERE base_contrat.code_contrat = '$code_contrat';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
		$backup_chalet = mysqli_fetch_row($result2);	

//////////////////////////////////////////////////////////////////////////////////////////////
//	POUR chaque chalet du contrat v&eacute;rifier et modifier le calendrier.						//
//////////////////////////////////////////////////////////////////////////////////////////////
		//EFFACE LE(S) CHALET(S) DU CALENDRIER
		for ($j = 1; $j < $num+1; $j++)
		{
			if (($type !="annul&eacute;") or ($actif[$j] =="N"))
			{
				$validation = &calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type,2,$chalets[$j],$code_contrat,$type_precedent,$code_contrat); //fonction dans calendrier.php, le 2 pour effacer
			}	
		}
		//VALIDE TOUTE LES NOUVELLES DATE DU CONTRAT		
		for ($j = 1; $j < $num+1; $j++)
		{
			if ($actif[$j] !="N")
			{
				list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4) = calendrier($cal_debut,$cal_fin,$date_debut,$date_fin,$type,1,$chalets[$j],$code_contrat,$type_precedent,$code_contrat); //fonction dans calendrier.php,   le 1 est pour ajout
				$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
			}	
		}
	
//AJOUTER LE(S) CHALET(S) AU CALENDRIER
//////////////////////////////////////////////////////////////////////////////////////////////////////
//					VALIDATION DES DONNÉES CRÉÉ PAR LA FONCTION CALENDRIER							//
//	Chaque donn&eacute;e retourn&eacute; par la fonction calendrier() est plac&eacute; dans le tableau $tableau_chalet	//
//	(tableau multi-dimenssion). Le code qui suit traite toute les enregistrements seulement si		//
// 	la validation de tout les chalets est ok.														//
//////////////////////////////////////////////////////////////////////////////////////////////////////

		//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
		$validation = 1;
		for ($j = 1; $j < $num+1; $j++)
		{
			$validation = ($validation*$tableau_chalet[$j][0]);
			if ($actif[$j] =="N")
			{
				$val_requete = 1;
				$validation = 1;
			}
			
		}	

		if ($type =="annul&eacute;")
		{
			$val_requete = 1;
			$validation = 1;
		}
		elseif ($validation > 0)//si le calendrier est ok, on procède à la suite de l'enregistrement du contrat
		{
			if ($type =="annul&eacute;")
			{
				$val_requete = 0;
			}else{
				$val_requete = 1;
				//POUR CHAQUE CHALET
				for ($j = 1; $j < $num+1; $j++)
				{
				
				//POUR CHAQUE ENREGISTREMENT DU CHALET		
					for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
					{
						$requete1 = $tableau_chalet[$j][4][$a]; 
						$etat1 = $tableau_chalet[$j][3][$a];
						$date1 = $tableau_chalet[$j][2][$a];
						$num_chalet1 = $tableau_chalet[$j][1];
						$c1=$tableau_chalet[$j][6][$a];
						$c2=$tableau_chalet[$j][7][$a];
						$c3=$tableau_chalet[$j][8][$a];
						$c4=$tableau_chalet[$j][9][$a];
					
						//SI C'EST POUR UN UPDATE
						if ($requete1 == 2)
						{
						
							$sql = "UPDATE base_calendrier SET etat = '$etat1',";
								if (!empty($c1))
									$sql .= "base_calendrier.c1 = '$c1',";		   
								if (!empty($c2))
									$sql .= "base_calendrier.c2 = '$c2',";
								if (!empty($c3))
									$sql .= "base_calendrier.c3 = '$c3',";
								if (!empty($c4))
									$sql .= "base_calendrier.c4 = '$c4',";		
								$sql.= "mis_a_jour = now()
								 WHERE base_calendrier.date = '$date1'
								   AND num_chalet = '$num_chalet1';";
							$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Problème dupdate de la date: ".$date."<br><br>".$sql);
						
						}
						//SI C'EST POUR UN INSERT
						if ($requete1 == 1)
						{
							$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
								if (!empty($c1))
									$sql .= "base_calendrier.c1 = '$c1',";		   
								if (!empty($c2))
									$sql .= "base_calendrier.c2 = '$c2',";
								if (!empty($c3))
									$sql .= "base_calendrier.c3 = '$c3',";
								if (!empty($c4))
									$sql .= "base_calendrier.c4 = '$c4',";		
								$sql .= "num_chalet = '$num_chalet1',
								etat = '$etat1',
								mis_a_jour = now();";
							$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Problème d'enregistrement de la date: ".$date."<br><br>".$sql);
					
						}
					}
				}	
			}
		}		
//////////////////////////////////////////////////////////////////////////////////////////////////////	
//					  FIN DE L'ENREGISTREMENT DES DATES À LA TABLE CALENDRIER						//							
//////////////////////////////////////////////////////////////////////////////////////////////////////		
		
		
			
//////////////////////////////////////////////////////////////////////////////////////////////////////	
//	SI LENREGISTREMENT N'EST PAS VALIDE, ON RÉENREGISTRE LES ANCIENNES DONNÉES						//							
//////////////////////////////////////////////////////////////////////////////////////////////////////				
		if ($validation == 0)//si la p&eacute;riode choisi n'est pas valide
		{
			historique("../historique.txt","---changement date, les dates sont non valide, retour au ancienne date",$Bsession_id);
			$erreur = 1;
			for ($j = 1; $j < $num+1; $j++)
			{
				list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$c1,$c2,$c3,$c4) = calendrier($backup_chalet[2],$backup_chalet[3],$backup_chalet[0],$backup_chalet[1],$type,1,$chalets[$j],$code_contrat,$type_precedent,$code_contrat); //fonction dans calendrier.php,   le 1 est pour ajout
				$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
			}
	
			if ($type !="annul&eacute;")
			{
				//POUR CHAQUE CHALET
				for ($j = 1; $j < $num+1; $j++)
				{
		
					//POUR CHAQUE ENREGISTREMENT DU CHALET		
					for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
					{
				
						$requete1 = $tableau_chalet[$j][4][$a];
						$etat1 = $tableau_chalet[$j][3][$a];
						$date1 = $tableau_chalet[$j][2][$a];
						$num_chalet1 = $tableau_chalet[$j][1];
						$c1=$tableau_chalet[$j][6][$a];
						$c2=$tableau_chalet[$j][7][$a];
						$c3=$tableau_chalet[$j][8][$a];
						$c4=$tableau_chalet[$j][9][$a];
										
						//SI C'EST POUR UN UPDATE
						if ($requete1 == 2)
						{
							$sql = "UPDATE base_calendrier SET etat = '$etat1',";
							if (!empty($c1))
								$sql .= "base_calendrier.c1 = '$c1',";		   
							if (!empty($c2))
								$sql .= "base_calendrier.c2 = '$c2',";
							if (!empty($c3))
								$sql .= "base_calendrier.c3 = '$c3',";
							if (!empty($c4))
								$sql .= "base_calendrier.c4 = '$c4',";		
							$sql.= "mis_a_jour = now()
							 WHERE base_calendrier.date = '$date1'
							   AND num_chalet = '$num_chalet1';";
							$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Problème dupdate de la date: ".$date."<br><br>".$sql);
						}
						//SI C'EST POUR UN INSERT
						if ($requete1 == 1)
						{
							$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
							if (!empty($c1))
								$sql .= "base_calendrier.c1 = '$c1',";		   
							if (!empty($c2))
								$sql .= "base_calendrier.c2 = '$c2',";
							if (!empty($c3))
								$sql .= "base_calendrier.c3 = '$c3',";
							if (!empty($c4))
								$sql .= "base_calendrier.c4 = '$c4',";		
							$sql .= "num_chalet = '$num_chalet1',
							etat = '$etat1',
							mis_a_jour = now();";
							$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Problème d'enregistrement de la date: ".$date."<br><br>".$sql);
						}
					}
				}
			}		
			print("<center><b><br>");
			print("La p&eacute;riode de location que vous avez choisi est d&eacute;jà occup&eacute; par un autre contrat. Veuillez en choisir une autre.<br><br>");
			print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");
			historique("../historique.txt","---changement date, la periode est deja occupe",$Bsession_id);		
		}
		if ($val_requete==1)
		{
//////////////////////////////////////////////////////////////////////////////////////////////
//	requête pour changer les dates et les heures											//
//////////////////////////////////////////////////////////////////////////////////////////////
			if ($erreur != 1)
			{
				$sql = "update base_contrat 
				    	   set base_contrat.date_debut = '$date_debut',
							   base_contrat.date_fin = '$date_fin',
							   base_contrat.cal_debut = '$cal_debut',
							   base_contrat.cal_fin = '$cal_fin',
							   base_contrat.heure_debut = '$heure_debut',
							   base_contrat.heure_fin = '$heure_fin', 
							   base_contrat.nuite = '$nuite', 
						       base_contrat.mis_a_jour = now()
		       	    	 WHERE base_contrat.code_contrat = '$code_contrat';";
				$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
				or die("ne peut faire la modification".$sql);
				historique("../historique.txt","---nouvelle date_debut: ".$date_debut." ".$heure_debut." ".$cal_debut.", date_fin: ".$date_fin." ".$heure_fin." ".$cal_fin.", nuite: ".$nuite."",$Bsession_id);
					
			}				
		}
	


	}
	
	
	
	
	
}
//////////////////////////////////////////////////////////////////////////////////////////////////////	
//BACKUP					  FIN DE L'ENREGISTREMENT DES DATES À LA TABLE CALENDRIER				//							
//////////////////////////////////////////////////////////////////////////////////////////////////////		



if ($mod_clientele == 1)	
{
  	$sql = "UPDATE base_nb_clients
	  	       SET base_nb_clients.actif = 'N',
			       base_nb_clients.mis_a_jour = now()
       	     WHERE base_nb_clients.code_contrat = '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);

	
	$sql = "INSERT INTO base_nb_clients 
		    SET base_nb_clients.nb_jeune = '$nb_jeune',
			    base_nb_clients.nb_adulte = '$nb_adulte',
				base_nb_clients.code_contrat = '$code_contrat',
				actif = 'O', 
			    base_nb_clients.mis_a_jour = now();";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
	historique("../historique.txt","---changement nb personne, nb_adulte: ".$nb_adulte.", nb_jeune: ".$nb_jeune."",$Bsession_id);
	
}	
//////////////////////////////////////////////////////////////////////
//		MODIFICATION AU CHALET, MODIFICATION AU CALENDRIER			//
//////////////////////////////////////////////////////////////////////
if (!empty ($num_chalet))
{

// SI IL NE CHANGE QUE LE PRIX
	if (($prec_etat == "O") && ($etat == "O"))
	{
		$plein_prix = ($prix_par_jour * $nuite) + $frais_terrain;
		$sql = "UPDATE base_chalets
 		  	 	   SET base_chalets.prix_plein = '$plein_prix',
			           base_chalets.prix_rabais = '$prix_reel',
					   base_chalets.prix_par_jour = '$prix_par_jour',
					   base_chalets.frais_terrain = '$frais_terrain',
					   base_chalets.actif = '$etat',
					   base_chalets.date_modif = now(),
				       base_chalets.mis_a_jour = now()
      			     WHERE base_chalets.code_contrat = '$code_contrat'
				   AND base_chalets.num_chalet = '$num_chalet'
				   AND base_chalets.reservation = 'N';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);
		historique("../historique.txt","---changement chalet #".$num_chalet.", prix par jour: ".$prix_par_jour.", frais terrain: ".$frais_terrain.", prix: ".$plein_prix.", rabais: ".$prix_reel.", actif: ".$etat."",$Bsession_id);	
		$erreur = 0;
	}


// SI IL PASSE DE ACTIF À ANNULÉ, EFFACE LE CHALET DU CALENDRIER
	if (($prec_etat == "O") && ($etat == "N"))
	{
		if ($type == 'annul&eacute;')
		{
			$plein_prix = ($prix_par_jour * $nuite) + $frais_terrain;
			$sql = "UPDATE base_chalets
 			  	 	   SET base_chalets.prix_plein = '$plein_prix',
				           base_chalets.prix_rabais = '$prix_reel',
						   base_chalets.prix_par_jour = '$prix_par_jour',
						   base_chalets.actif = '$etat',
						   base_chalets.frais_terrain = '$frais_terrain',
						   base_chalets.date_modif = now(),
					       base_chalets.mis_a_jour = now()
       			     WHERE base_chalets.code_contrat = '$code_contrat'
					   AND base_chalets.num_chalet = '$num_chalet'
					   AND base_chalets.reservation = 'N';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
			$erreur = 0;
		}	
		else
		{
			//PREND UN BACKUP DES ANCIENNE DONNÉES	
			$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
	   				  FROM base_contrat
			 		 WHERE base_contrat.code_contrat = '$code_contrat';";
			$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$row2 = mysqli_fetch_row($result2);
			$row_date_debut = $row2[0];
			$row_date_fin = $row2[1];
			$row_cal_debut = $row2[2];
			$row_cal_fin = $row2[3];
			$row_heure_debut = $row2[4];
			$row_heure_fin = $row2[5];			
			$stop = 0 ;
		
			//EFFACE LE CHALET DU CALENDRIER
			$validation = &calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type,2,$num_chalet,$code_contrat,$type_precedent); //fonction dans calendrier.php, le 2 pour effacer
			$erreur = 0;
			
			$plein_prix = ($prix_par_jour * $nuite) + $frais_terrain;
			$sql = "UPDATE base_chalets
			  	       SET base_chalets.prix_plein = '$plein_prix',
				           base_chalets.prix_rabais = '$prix_reel',
						   base_chalets.prix_par_jour = '$prix_par_jour',
						   base_chalets.actif = '$etat',
						   base_chalets.frais_terrain = '$frais_terrain',
						   base_chalets.date_modif = now(),
					       base_chalets.mis_a_jour = now()
	       		     WHERE base_chalets.code_contrat = '$code_contrat'
					   AND base_chalets.num_chalet = '$num_chalet'
					   AND base_chalets.reservation = 'N';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
			historique("../historique.txt","---changement chalet #".$num_chalet.", de actif a inactif",$Bsession_id);
		}
	}	
// SI IL PASSE DE ANNULÉ À ACTIF, AJOUTER LE CHALET AU CALENDRIER
	if (($prec_etat == "N") && ($etat == "O"))
	{
		if ($type == 'annul&eacute;')
		{
			$plein_prix = ($prix_par_jour * $nuite) + $frais_terrain;
			$sql = "UPDATE base_chalets
 			  	 	   SET base_chalets.prix_plein = '$plein_prix',
				           base_chalets.prix_rabais = '$prix_reel',
						   base_chalets.prix_par_jour = '$prix_par_jour',
						   base_chalets.actif = '$etat',
						   base_chalets.frais_terrain = '$frais_terrain',
						   base_chalets.date_modif = now(),
					       base_chalets.mis_a_jour = now()
       			     WHERE base_chalets.code_contrat = '$code_contrat'
					   AND base_chalets.num_chalet = '$num_chalet'
					   AND base_chalets.reservation = 'N';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification".$sql);
			
			$erreur = 0;			
		}	
		else
		{
			//PREND UN BACKUP DES ANCIENNE DONNÉES	
			$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
   					  FROM base_contrat
			 		 WHERE base_contrat.code_contrat = '$code_contrat';";
			$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$row2 = mysqli_fetch_row($result2);
			$row_date_debut = $row2[0];
			$row_date_fin = $row2[1];
			$row_cal_debut = $row2[2];
			$row_cal_fin = $row2[3];
			$row_heure_debut = $row2[4];
			$row_heure_fin = $row2[5];
			$stop = 0 ;
			
			//BACKUP DES ANCIENNES DONNÉES AU CAS OU LA MODIFICATION N'EST PAS VALIDÉ		
			$sql = "SELECT base_contrat.date_debut, base_contrat.date_fin, base_contrat.cal_debut, base_contrat.cal_fin, base_contrat.heure_debut, base_contrat.heure_fin
	   		  		  FROM base_contrat
			 		 WHERE base_contrat.code_contrat = '$code_contrat';";
			$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
			$backup_chalet = mysqli_fetch_row($result2);	

			//VALIDE LES NOUVELLES DATE			
			list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4) = calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type,1,$num_chalet,$code_contrat,$type,$code_contrat); //fonction dans calendrier.php,   le 1 est pour ajout
			$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
			
			
			//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
			if ($validation > 0)//si le calendrier est ok, on procède à la suite de l'enregistrement du contrat
			{
				$erreur = 0;
				//POUR CHAQUE ENREGISTREMENT DU CHALET		
					for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
					{
						
						$requete1 = $tableau_chalet[$j][4][$a]; 
						$etat1 = $tableau_chalet[$j][3][$a];
						$date1 = $tableau_chalet[$j][2][$a];
						$num_chalet1 = $tableau_chalet[$j][1];
						$c1=$tableau_chalet[$j][6][$a];
						$c2=$tableau_chalet[$j][7][$a];
						$c3=$tableau_chalet[$j][8][$a];
						$c4=$tableau_chalet[$j][9][$a];
						//SI C'EST POUR UN UPDATE
						if ($requete1 == 2)
						{
							$sql = "UPDATE base_calendrier SET etat = '$etat1',";
							if (!empty($c1))
								$sql .= "base_calendrier.c1 = '$c1',";		   
							if (!empty($c2))
								$sql .= "base_calendrier.c2 = '$c2',";
							if (!empty($c3))
								$sql .= "base_calendrier.c3 = '$c3',";
							if (!empty($c4))
								$sql .= "base_calendrier.c4 = '$c4',";		
							$sql.= "mis_a_jour = now()
							 WHERE base_calendrier.date = '$date1'
							   AND num_chalet = '$num_chalet1';";
							$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Problème dupdate de la date: ".$date."<br><br>".$sql);
						}
						//SI C'EST POUR UN INSERT
						if ($requete1 == 1)
						{
							$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
							if (!empty($c1))
								$sql .= "base_calendrier.c1 = '$c1',";		   
							if (!empty($c2))
								$sql .= "base_calendrier.c2 = '$c2',";
							if (!empty($c3))
								$sql .= "base_calendrier.c3 = '$c3',";
							if (!empty($c4))
								$sql .= "base_calendrier.c4 = '$c4',";		
										$sql .= "num_chalet = '$num_chalet1',
										etat = '$etat1',
										mis_a_jour = now();";
							$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Problème d'enregistrement de la date: ".$date."<br><br>".$sql);
						}
					}
				$plein_prix = ($prix_par_jour * $nuite) + $frais_terrain;
				$sql = "UPDATE base_chalets
				  	       SET base_chalets.prix_plein = '$plein_prix',
					           base_chalets.prix_rabais = '$prix_reel',
							   base_chalets.prix_par_jour = '$prix_par_jour',
							   base_chalets.actif = '$etat',
							   base_chalets.frais_terrain = '$frais_terrain',
							   base_chalets.date_modif = now(),
						       base_chalets.mis_a_jour = now()
		       		     WHERE base_chalets.code_contrat = '$code_contrat'
						   AND base_chalets.num_chalet = '$num_chalet'
						   AND base_chalets.reservation = 'N';";
				$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
				or die("ne peut faire la modification".$sql);
				historique("../historique.txt","---changement chalet #".$num_chalet.", de inactif a actif",$Bsession_id);
			}
			if ($validation == 0)
			{
				$erreur = 1;
				print("<center><b><br>");
				print("La p&eacute;riode de location que vous avez choisi est d&eacute;jà occup&eacute; par un autre contrat. Veuillez en choisir une autre.<br><br>");
				print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");
				historique("../historique.txt","---changement chalet #".$num_chalet.", ne peut mettre actif, periode deja reserver",$Bsession_id);
			}	
		}
	}
	GestionPoste(4,$type_client,$code_contrat,$code_client,$ancien_prix,$prix_reel,$num_chalet,$prec_etat);
	
}
//////////////////////////////////////////////////////////////////////



if ($mod_cafe == 1)
{
	$sql = "UPDATE base_cafeteria
	  	       SET base_cafeteria.actif = 'N',
			       base_cafeteria.mis_a_jour = now()
       	     WHERE base_cafeteria.code_contrat = '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);

	$plein_prix_cafe = ($nb_pers_cafe * $nb_repas_cafe * $prix_repas_cafe) + ($lunchpm * $prix_lunchpm);
	$sql = "INSERT INTO base_cafeteria 
		    SET base_cafeteria.nb_pers = '$nb_pers_cafe',
  			    num_cafeteria = '1',
			    code_contrat = '$code_contrat',
				nb_repas = '$nb_repas_cafe',
				prix_par_repas = '$prix_repas_cafe',
			    prix_plein = '$plein_prix_cafe',
				prix_rabais = '$prix_reel_cafe',
				lunchpm = '$lunchpm',
				prix_lunchpm = '$prix_lunchpm',
				commentaire = '$commentaire_cafe',
				actif = 'O',
				date_modif = now(),
				mis_a_jour = now();";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
	$mod_cafe = 0;
	historique("../historique.txt","---changement cafeteria nb_pers: ".$nb_pers_cafe.", nb_repas: ".$nb_repas.", lunch: ".$lunchpm.", prix_lunch: ".$prix_lunch.", prix: ".$plein_prix_cafe.", rabais: ".$prix_reel_cafe."",$Bsession_id);
	GestionPoste(3,$type_client,$code_contrat,$code_client,$ancien_prix,$prix_reel_cafe,0,$prec_etat);
}	

if (!empty ($numero_contrat))
{

	$sql = "SELECT numero_contrat   
        	FROM base_contrat
			WHERE code_contrat <> '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table des contrats (numero contrat)".$sql);
	$num = mysqli_num_rows($result);
	$row = mysqli_fetch_row($result);

	//boucle pour valider si il y a deja un contrat qui a ce numero
	for ($j = 0; $j < $num; $j++)
	{
		if ($numero_contrat == $row[$j])
			$numero_valide = 1;
		else
			$numero_valide = 0;
	} 
	if ($numero_valide == 0)
	{
		$sql = "UPDATE base_contrat
		  	       SET base_contrat.numero_contrat = '$numero_contrat',
				       base_contrat.mis_a_jour = now()
       	    	 WHERE base_contrat.code_contrat = '$code_contrat';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);
		historique("../historique.txt","---changement numero contrat: ".$numero_contrat."",$Bsession_id);
	}
	else
	{	
			print("<center><b><br>");
			print("Le num&eacute;ro de contrat que vous avez choisi est d&eacute;jà existant. Veuillez en choisir un autre.<br><br>");
			print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");
			historique("../historique.txt","---num&eacute;ro de contrat d&eacute;jà existant",$Bsession_id);
			$erreur = 1;
	}			
}	

if (!empty ($activite))
{
	if($inclu == 'O')
	{
	
			$plein_prix = 0;
			$prix_reel = 0;
	}

	$sql = "UPDATE base_activites
	  	       SET base_activites.prix_plein = '$plein_prix',
		           base_activites.prix_rabais = '$prix_reel',
				   base_activites.actif = '$etat',
				   base_activites.inclu = '$inclu',
				   base_activites.date_modif = now(),
			       base_activites.mis_a_jour = now()
       	     WHERE base_activites.code_contrat = '$code_contrat'
			   AND base_activites.num_activite = '$num_activite';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
	GestionPoste(5,$type_client,$code_contrat,$code_client,$ancien_prix,$prix_reel,0,$prec_etat);	
}	

if (!empty ($materiel))	
{

	if($inclu == 'O')
	{
			$plein_prix = 0;
			$prix_reel = 0;
	}

	$sql = "UPDATE base_loc_materiels
	  	       SET base_loc_materiels.prix_plein = '$plein_prix',
		           base_loc_materiels.prix_rabais = '$prix_reel',
				   base_loc_materiels.quantite = '$quantite',
				   base_loc_materiels.actif = '$etat',
				   base_loc_materiels.inclu = '$inclu',
				   base_loc_materiels.date_modif = now(),			 
			       base_loc_materiels.mis_a_jour = now()
       	     WHERE base_loc_materiels.code_contrat = '$code_contrat'
			   AND base_loc_materiels.num_materiel = '$num_materiel';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
	GestionPoste(6,$type_client,$code_contrat,$code_client,$ancien_prix,$prix_reel,0,$prec_etat);
}
	
if (!empty ($achat))
{
	if($inclu == 'O')
	{
			$plein_prix = 0;
			$prix_reel = 0;
	}

	$sql = "UPDATE base_vente_materiels
	  	       SET base_vente_materiels.prix_plein = '$plein_prix',
		           base_vente_materiels.prix_rabais = '$prix_reel',
				   base_vente_materiels.quantite = '$quantite',
				   base_vente_materiels.actif = '$etat',
				   base_vente_materiels.inclu = '$inclu',
				   base_vente_materiels.date_modif = now(),
			       base_vente_materiels.mis_a_jour = now()
       	     WHERE base_vente_materiels.code_contrat = '$code_contrat'
			   AND base_vente_materiels.num_materiel = '$num_materiel';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
	
	GestionPoste(7,$type_client,$code_contrat,$code_client,$ancien_prix,$prix_reel,0,$prec_etat);
}	

if (!empty ($depot_reel))
{
print("depot_reel : ".$depot_reel."<BR>");
	$sql = "UPDATE base_contrat
	  	       SET base_contrat.depot = '$depot_reel',
			       base_contrat.mis_a_jour = now()
       	     WHERE base_contrat.code_contrat = '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
}


if (!empty ($depot_50))
{
print("depot_50 : ".$depot_50."<BR>");
	$sql = "UPDATE base_contrat
	  	       SET base_contrat.depot_50 = '$depot_50',
			       base_contrat.mis_a_jour = now()
       	     WHERE base_contrat.code_contrat = '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
}	


if (!empty($prix_rabais))
{
	$sql = "UPDATE base_rabais
	  	       SET commentaire = '$commentaire_rabais',
					    code_contrat = '$code_contrat',
						poste_budget = '$poste',
					    prix_rabais = '$prix_rabais',
					    actif = '$etat',
					    mis_a_jour = now()
       	     WHERE base_rabais.code_contrat = '$code_contrat'
			   AND base_rabais.code_rabais = '$code_rabais';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
	GestionPoste(10,$code_rabais,$code_contrat,$code_client,$ancien_prix,$prix_rabais,0,$prec_etat);
}


	

if (!empty ($refere))	
{
	$sql = "update base_contrat 
		    set base_contrat.refere = '$refere', 
			    base_contrat.mis_a_jour = now()
       	    WHERE base_contrat.code_contrat = '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
}


if (!empty ($commentaire))	
{
	$sql = "update base_contrat 
		    set base_contrat.commentaire = '$commentaire', 
			    base_contrat.mis_a_jour = now()
       	    WHERE base_contrat.code_contrat = '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification".$sql);
}


if (!empty ($transfert))	
{
	if ($transfert > $credit)//Si le clients n'a pas assez de cr&eacute;dit
	{
		$erreur = 1;
		print("<center><font size=5><u><b>Confirmation</u></b><br><br><br>");
		print("Le client ne possède pas le cr&eacute;dit n&eacute;cessaire.<br><br><br>");
		//Afficher le bouton vers le nouveau contrat.
		print("<form action=\"gestion-contract.php\" method=\"post\" name=\"gestioncontrat\">");
		print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
		print("<input type=\"hidden\" name=\"code_contrat\" value=".$code_contrat.">");	
		print("<input type=\"hidden\" name=\"code_client\" value=".$code_client.">");		
		print("<input type=\"submit\" name=\"gestion_contrat\" value=\"Retour\"></form>");
	}
	else		
	{
		//INCRÉMENTE LE CRÉDIT DU CONTRAT
		$sql = "update base_contrat 
	               set base_contrat.credit = (base_contrat.credit +'$transfert'), 
   			           base_contrat.mis_a_jour = now()
       	         WHERE base_contrat.code_contrat = '$code_contrat';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut aditionner le cr&eacute;dit".$sql);
		
		//ENLÈVE LE CRÉDIT DU CLIENT
		$sql = "update base_clients 
	               set base_clients.credit = (base_clients.credit -'$transfert'), 
   			           base_clients.mis_a_jour = now()
       	         WHERE base_clients.code_client = '$code_client';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut enlever le cr&eacute;dit du client".$sql);

		//enregistre le cr&eacute;dit dans base_depot
		$sql = "INSERT INTO base_depot
					    SET recu_le = now(),
						    code_contrat = '$code_contrat',
						    montant = '$transfert',
							commentaire = 'cr&eacute;dit du client',
						    mis_a_jour = now();";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Problème de cr&eacute;ation du cr&eacute;dit<br>".$sql);

	
	}

}

if ($mod_expedie == 1)
{
	//cherche si d&eacute;ja enregistr&eacute;
	$sql = "SELECT base_envoi_contrat.code_contrat
			FROM base_envoi_contrat
			WHERE base_envoi_contrat.code_contrat = '$code_contrat';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql);
	$num = mysqli_num_rows($result);
	
	if (empty ($num))//si première fois
	{ 
		$sql = "INSERT INTO base_envoi_contrat 
			    SET base_envoi_contrat.code_contrat = '$code_contrat',
	  			    base_envoi_contrat.expedie_le = '$expedie',
				    base_envoi_contrat.recu_le = '$recu',
					mis_a_jour = now();";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);
		$mod_expedie = 1;
	}
	else
	{	
		$sql = "UPDATE base_envoi_contrat
		  	       SET base_envoi_contrat.expedie_le = '$expedie',
					   base_envoi_contrat.recu_le = '$recu',
					   mis_a_jour = now()
   	    	     WHERE base_envoi_contrat.code_contrat = '$code_contrat';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification".$sql);
		$mod_expedie = 1;
	}	
}


if ($supp_depot == 1)
{
	$sql = "DELETE FROM base_depot
	          WHERE base_depot.code_depot = '$code_depot'";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Problème de del du depot: ".$date."<br><br>".$sql);
}


if (!empty ($balance))
{
	//enregistre le retrait dans base_depot
	$sql = "INSERT INTO base_depot
				    SET recu_le = now(),
					    code_contrat = '$code_contrat',
					    montant = '$balance',
						commentaire = 'surplus en cr&eacute;dit au client',
					    mis_a_jour = now();";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Problème de cr&eacute;ation du remboursement<br>".$sql);

	//trouve le cr&eacute;dit du client
	$sql = "select base_clients.credit  
		  FROM base_clients
		 WHERE base_clients.code_client = '$code_client';";				
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Problème de recherche du cr&eacute;dits<br>".$sql);
	$row = mysqli_fetch_row($result);
	
	$credit = ($row[0] - $balance); 
	
	//enregistre le cr&eacute;dit au client
	$sql = "update base_clients
		    set base_clients.credit = '$credit',
			    base_clients.mis_a_jour = now()
       	    WHERE base_clients.code_client = '$code_client';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification");
}


//Confirmation de l'enregistrement ************************************************************
if (($erreur == 0) and ($valide ==1))
{
	print("<center><font size=5><u><b>Confirmation</u></b><br><br><br>");
	print("Modification r&eacute;ussi.<br><br><br>");
	//Afficher le bouton vers le nouveau contrat.
	print("<form action=\"gestion-contract.php?Bsession_id=".$Bsession_id."&code_contrat=".$code_contrat."\" method=\"post\" name=\"gestioncontrat\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print("<input type=\"hidden\" name=\"code_contrat\" value=".$code_contrat.">");	
	print("<input type=\"hidden\" name=\"code_client\" value=".$code_client.">");		
	print("<input type=\"submit\" name=\"gestion_contrat\" value=\"Retour\"></form>");
	
	
	
}

	
?>

</body>
</html>	




	
	
	
